Bug 252496 - net/openmpi: switch to hwloc2
Summary: net/openmpi: switch to hwloc2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks: 252494
  Show dependency treegraph
 
Reported: 2021-01-07 18:02 UTC by Thierry Thomas
Modified: 2021-01-09 14:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
net/openmpi: switch to hwloc2 (700 bytes, patch)
2021-01-07 18:02 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2021-01-07 18:02:09 UTC
Created attachment 221360 [details]
net/openmpi: switch to hwloc2

Many scientific ports depend on MPICH, and they are often installed on workstations where OpenMPI is also installed, e.g. because they depend on VTK (some math/vtk_).

Thus, if we upgrade net/mpich to 3.4, for which devel/hwloc2 is required (See PR 252494), it would be fine to make openmpi also depend on hwloc2 to avoid conflicts.
Comment 1 commit-hook freebsd_committer 2021-01-08 09:23:41 UTC
A commit references this bug:

Author: danilo
Date: Fri Jan  8 09:23:21 UTC 2021
New revision: 560755
URL: https://svnweb.freebsd.org/changeset/ports/560755

Log:
  net/openmpi: Update to 4.1.0

  - Move from hwloc to hwloc2 [1]
  - Remove ${MPIDIR}/lib/openmpi from LDCONFIG

  PR:		252496
  Submitted by:	thierry [1]

Changes:
  head/net/openmpi/Makefile
  head/net/openmpi/distinfo
  head/net/openmpi/pkg-plist
Comment 2 Thierry Thomas freebsd_committer 2021-01-08 09:32:01 UTC
Committed by danilo in r560755 (thanks!)
Comment 3 commit-hook freebsd_committer 2021-01-09 14:17:38 UTC
A commit references this bug:

Author: danilo
Date: Sat Jan  9 14:16:52 UTC 2021
New revision: 560866
URL: https://svnweb.freebsd.org/changeset/ports/560866

Log:
  net/openmpi3: Use the embedded hwloc library to workaround a conflict between hwloc and hwloc2 due sysutils/slurm-wlm.

  OpenMPI3 is not compatible with hwloc2. Also, OpenMPI3 was deprecated by upstream and will be removed from the ports tree as soon as all the ports which depend on it are moved to net/openmpi.

  PR:		252496

Changes:
  head/net/openmpi3/Makefile